Bug 729090 - mmapping a read only file on a gfs2 filesystem incorrectly acquires an exclusive glock
Summary: mmapping a read only file on a gfs2 filesystem incorrectly acquires an exclus...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 729088 (view as bug list)
Depends On: 672724
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:15 UTC by Ken Reilly
Modified: 2018-11-14 11:14 UTC (History)
15 users (show)

Fixed In Version: kernel-2.6.18-238.24.1.el5
Doc Type: Bug Fix
Doc Text:
Performance issues occurred when multiple nodes attempted to call mmap() on the same inode at the same time on a GFS2 file system, as it was using an exclusive glock. With this update, a shared lock is used when "noatime" is set on the mount, allowing mmap() operations to occur in parallel, fixing this bug. Note that this issue only refers to mmap() system calls, and not to subsequent page faults.
Clone Of:
Environment:
Last Closed: 2011-09-20 17:51:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1321 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-09-20 17:50:47 UTC

Comment 4 Steve Whitehouse 2011-08-08 18:17:24 UTC
Can you confirm the difference between this bug and bug #729088 ?

Comment 5 Steve Whitehouse 2011-08-10 08:33:18 UTC
*** Bug 729088 has been marked as a duplicate of this bug. ***

Comment 7 Phillip Lougher 2011-08-30 16:42:07 UTC
in kernel-2.6.18-238.24.1.el5

linux-2.6-fs-gfs2-no-exclusive-glocks-on-mmapped-read-only-fs.patch

Comment 10 errata-xmlrpc 2011-09-20 17:51:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1321.html

Comment 11 Martin Prpič 2011-09-22 09:19:04 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Performance issues occurred when multiple nodes attempted to call mmap() on the same inode at the same time on a GFS2 file system, as it was using an exclusive glock. With this update, a shared lock is used when "noatime" is set on the mount, allowing mmap() operations to occur in parallel, fixing this bug. Note that this issue only refers to mmap() system calls, and not to subsequent page faults.


Note You need to log in before you can comment on or make changes to this bug.